Bug 89510 - plugger creates zombie processes whenever i leave/quit viewing pdf files
plugger creates zombie processes whenever i leave/quit viewing pdf files
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: plugger (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 12:47 EDT by Erald Troja
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erald Troja 2003-04-23 12:47:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
whenever i view a pdf file everything seems to work fine... the file gets loaded
just fine...however whenever i leave/part from viewing such page, say load up a
new url in the browser 'ps aux' reports defunct/zombie process from plugger
'etroja 31445  0.0  0.6  4512  832 pts/3    S    12:19   0:00 /bin/bash
etroja 31606  6.2 18.2 98424 23028 ?       S    12:26   0:38
/usr/lib/mozilla-1.2.1/mozilla-bin -UILocale en-US
etroja   31630  0.2  0.0     0    0 ?        Z    12:26   0:01 [plugger <defunct>]
etroja   31661  0.0  0.6  2820  844 pts/3    R    12:36   0:00 ps aux
'

this system is an upgrade from rhl 8.0-->9.0
i've deleted .mozilla dir and let it create a new one but problem still persists

my pluggerc file is as follows
'application/pdf: pdf: PDF file
application/x-pdf: pdf: PDF file
text/pdf: pdf: PDF file
text/x-pdf: pdf: PDF file
        repeat swallow(documentShell) fill: acroread -geometry +9000+9000 -xrm
'+useFrontEndProgram' "$file"
        repeat swallow(Xpdf) fill: xpdf -g +9000+9000 "$file"
        repeat swallow(gv) fill: gv -safer -quiet -antialias -geometry
+9000+9000 "$file" 2>/dev/null

'
i have acroread downloaded in /opt/Acroread5 and a symbolic link from
/usr/bin/acroread--> /opt/Acroread5/bin/acroread

i tried to remove acroread (both the program and the pluggerc enty) and just let
the xpdf take care of 
pdf files but no luck 

Version-Release number of selected component (if applicable):
plugger version is plugger-4.0-23

How reproducible:
Always

Steps to Reproduce:
1.simply open a pdf file
2.part from reading it...either by opening another url on the same tab, or
simply closing the nav tab
3.voila a new zombie created
    

Additional info:
Comment 1 Erald Troja 2003-05-08 00:21:25 EDT
see bug #90322 for further comments...installed mozplugger and removed plugger
and now most of the stuff seems to be holding on...no more annoying zombies
Comment 2 Ngo Than 2003-05-08 04:17:18 EDT
i will replace plugger in next release
Comment 3 Bill Nottingham 2006-08-04 23:16:56 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:30:50 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.